<?php

/*
 * @copyright Copyright (c) 2024 WinderNet
 *
 * @license MIT License
 *
 * @link https://gitlab.com/windernet/php/framework-module-common/-/blob/main/LICENSE
 */

//**************************************************************************************************************************************************\\
//                                                                                                                                                  \\
//                                                                     NAMESPACE                                                                    \\
//                                                                                                                                                  \\
//**************************************************************************************************************************************************\\

namespace WinderNet\Common\Exception;

//**************************************************************************************************************************************************\\
//                                                                                                                                                  \\
//                                                                      USAGES                                                                      \\
//                                                                                                                                                  \\
//**************************************************************************************************************************************************\\

use RuntimeException;

//**************************************************************************************************************************************************\\
//                                                                                                                                                  \\
//                                                                    EXCEPTION                                                                     \\
//                                                                                                                                                  \\
//**************************************************************************************************************************************************\\

/**
 * This exception is thrown, if it is tried to do an action, which is forbidden.
 *
 * @since 0.2.0
 */
class ForbiddenException extends RuntimeException {}
